# Remove all listings

`GET /v1/remove-all`

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `game` | query | enum | optional | Which game would you like to remove items from (without game param will remove all) |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/remove-all?api=%7B%7BAPI_KEY%7D%7D&game=csgo'
```

## Example response

```json
{
  "success": false,
  "msg": "string",
  "count": 0
}
```

## Responses

- `200` Remove all listings for all games

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
